#!/usr/bin/perl -w
# (c) Copyright 2005. CodeWeavers, Inc.
package CXMenuVFDesktop;
use strict;
use CXLog;
use CXMenuKG;
use base "CXMenuKG";


sub detect($$$$)
{
    my ($class, $cxoptions, $cxconfig, $gui_info)=@_;

    my @selves;
    if ($gui_info->{vfolder_on} and $gui_info->{vfolder_preferred_desktop})
    {
        # This desktop uses UTF-8 but escaping '$'s is not needed.
        my $self={
            tag             => $cxoptions->{tag},
            encoding        => "UTF-8",
            extension       => "desktop",
            section_name    => "Desktop Entry",
            extensions      => "\\.desktop",
            desktop         => $gui_info->{vfolder_preferred_desktop}
        };
        bless $self, $class;
        push @selves, $self;
    }
    return @selves;
}

return 1;
