#!/usr/bin/perl -w
# (c) Copyright 2006. CodeWeavers, Inc.
package CXMenuDtop;
use strict;
use CXLog;
use CXMenuKG;
use base "CXMenuKG";


sub detect($$$$)
{
    my ($class, $cxoptions, $cxconfig, $gui_info)=@_;

    my @selves;
    if ($gui_info->{dtop_on} and $gui_info->{dtop_preferred_desktop})
    {
        # This desktop is shared by Gnome, KDE and XDG
        my $self={
            tag             => $cxoptions->{tag},
            encoding        => "UTF-8",
            escaping        => "dollar",
            extension       => "desktop",
            section_name    => "Desktop Entry",
            extensions      => "\\.desktop",
            desktop         => $gui_info->{dtop_preferred_desktop}
        };
        bless $self, $class;
        push @selves, $self;
    }
    return @selves;
}

return 1;
